MoreJSEvents.villagerTrades((event) => {

    event.removeRibbitTrades();
    event.setRibbitOfferAmount(10000);

    event.addRibbitTrades("ribbits:merchant", [
        VillagerUtils.createSimpleTrade(Item.of("alexscaves:jelly_bean",'{Potion:"the_bumblezone:neurotoxin"}'), "scguns:copper_gun_frame"),
        VillagerUtils.createSimpleTrade(Item.of("alexscaves:jelly_bean",'{Potion:"alexscaves:magnetizing"}'), "scguns:iron_gun_frame"),
        VillagerUtils.createSimpleTrade(Item.of("alexscaves:jelly_bean",'{Potion:"alexscaves:sugar_rush"}'), "scguns:treated_brass_gun_frame"),
        VillagerUtils.createSimpleTrade(Item.of("alexscaves:jelly_bean",'{Potion:"alexscaves:haste"}'), "scguns:diamond_steel_gun_frame"),
        VillagerUtils.createSimpleTrade(Item.of("alexscaves:jelly_bean",'{Potion:"deeperdarker:sculk_affinity"}'), "scguns:scorched_gun_frame")
    ]);

    event.addRibbitTrades("ribbits:fisherman", [
        VillagerUtils.createSimpleTrade(["scguns:blank_mold", "scguns:ancient_brass_block"], "scguns:bullet_mold"),
        VillagerUtils.createSimpleTrade(["scguns:blank_mold", "scguns:ancient_brass_block"], "scguns:small_casing_mold"),
        VillagerUtils.createSimpleTrade(["scguns:blank_mold", "scguns:ancient_brass_block"], "scguns:medium_casing_mold"),
        VillagerUtils.createSimpleTrade(["scguns:blank_mold", "2x scguns:ancient_brass_block"], "scguns:large_casing_mold")
    ]);

    event.addRibbitTrades("ribbits:nitwit", [
        VillagerUtils.createSimpleTrade("2x scguns:ancient_brass", "scguns:gun_parts"),
        VillagerUtils.createSimpleTrade("4x scguns:ancient_brass", "scguns:heavy_gun_parts"),
        VillagerUtils.createSimpleTrade("scguns:ancient_brass", "scguns:firing_unit"),
        VillagerUtils.createSimpleTrade("2x scguns:ancient_brass", "scguns:rapid_firing_unit"),
        VillagerUtils.createSimpleTrade("scguns:ancient_brass", "scguns:gun_barrel"),
        VillagerUtils.createSimpleTrade("2x scguns:ancient_brass", "scguns:heavy_gun_barrel"),
        VillagerUtils.createSimpleTrade("4x scguns:ancient_brass", "scguns:gun_magazine") 
    ]);

    event.addRibbitTrades("ribbits:sorcerer", [
        VillagerUtils.createSimpleTrade("8x miners_delight:insect_sandwich", "scguns:laser_sight"),
        VillagerUtils.createSimpleTrade("8x miners_delight:insect_sandwich", "scguns:muzzle_brake"),
        VillagerUtils.createSimpleTrade("8x miners_delight:insect_stew_cup", "scguns:reflex_sight"),
        VillagerUtils.createSimpleTrade("8x miners_delight:insect_stew_cup", "scguns:extended_barrel"),
        VillagerUtils.createSimpleTrade("8x undergardendelight:gronglunch", "scguns:silencer"),
        VillagerUtils.createSimpleTrade("8x undergardendelight:gronglunch", "scguns:medium_scope"),
        VillagerUtils.createSimpleTrade("8x cavedelight:flytrap_taco", "scguns:advanced_silencer"),
        VillagerUtils.createSimpleTrade("8x cavedelight:flytrap_taco", "scguns:long_scope") 
    ]);

    event.addRibbitTrades("ribbits:gardener", [
        VillagerUtils.createSimpleTrade("8x miners_delight:insect_sandwich", "scguns:wooden_stock"),
        VillagerUtils.createSimpleTrade("8x miners_delight:insect_stew_cup", "scguns:light_stock"),
        VillagerUtils.createSimpleTrade("8x miners_delight:insect_stew_cup", "scguns:light_grip"),
        VillagerUtils.createSimpleTrade("8x undergardendelight:gronglunch", "scguns:weighted_stock"),
        VillagerUtils.createSimpleTrade("8x undergardendelight:gronglunch", "scguns:vertical_grip"),
        VillagerUtils.createSimpleTrade("8x cavedelight:flytrap_taco", "scguns:extended_mag"),
        VillagerUtils.createSimpleTrade("8x cavedelight:flytrap_taco", "scguns:speed_mag") 
    ]);
});